---
description: Lists the installation methods
keywords: Docker install
redirect_from:
- /installation/
- /engine/installation/linux/frugalware/
- /engine/installation/frugalware/
title: Install Docker Engine
---

Docker Engine is supported on Linux, Cloud, Windows, and macOS. Installation
instructions are available for the following:

## On Linux
* [Arch Linux](linux/archlinux.md)
* [CentOS](linux/centos.md)
* [CRUX Linux](linux/cruxlinux.md)
* [Debian](linux/debian.md)
* [Fedora](linux/fedora.md)
* [Gentoo](linux/gentoolinux.md)
* [Oracle Linux](linux/oracle.md)
* [Raspbian](linux/raspbian.md)
* [Red Hat Enterprise Linux](linux/rhel.md)
* [openSUSE and SUSE Linux Enterprise](linux/SUSE.md)
* [Ubuntu](linux/ubuntulinux.md)

If your linux distribution is not listed above, don't give up yet. To try out
Docker on a distribution that is not listed above, go here:
[Installation from binaries](binaries.md).


## On macOS and Windows

* [Docker for Mac](/docker-for-mac/)
* [Docker for Windows](/docker-for-windows/)


## On Cloud

You can use Docker Cloud to automatically provision and manage your cloud
instances:

* [Amazon Web Services setup guide](link-aws.md)
* [DigitalOcean setup guide](link-do.md)
* [Microsoft Azure setup guide](link-azure.md)
* [Packet setup guide](link-packet.md)
* [SoftLayer setup guide](link-softlayer.md)
* [Use the Docker Cloud Agent to Bring your Own Host](byoh.md)

You can also use our official Docker Editions if you'd like to manually manage
your cloud instances:

* [Docker for AWS](/docker-for-aws/)
* [Docker for Azure](/docker-for-azure/)


## Prior releases

Instructions for installing prior releases of Docker can be found in the
[Docker archives](/docsarchive/).


## Get started

After setting up Docker, try learning the basics over at
[Getting started with Docker](/engine/getstarted/).
